Bug 131335 - IIIMF breaks openssh-askpass-gnome
Summary: IIIMF breaks openssh-askpass-gnome
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: im-sdk
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC3Target IIIMF
TreeView+ depends on / blocked
 
Reported: 2004-08-31 07:40 UTC by Warren Togami
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-14 01:50:27 UTC


Attachments (Terms of Use)

Description Warren Togami 2004-08-31 07:40:27 UTC
Description of problem:
[warren@ibmlaptop .xinput.d]$ echo $LANG
en_US.UTF-8
[warren@ibmlaptop .xinput.d]$ pwd
/home/warren/.xinput.d
[warren@ibmlaptop .xinput.d]$ ls -l
total 0
lrwxrwxrwx  1 warren warren 29 Aug 30 21:30 default ->
/etc/X11/xinit/xinput.d/iiimf
[warren@ibmlaptop .xinput.d]$ ssh-add < /dev/null

The above command invokes /usr/libexec/openssh/gnome-ssh-askpass which
is a GUI dialog asking for the ssh passphrase for ssh-agent. 
Something about IIIMF is causing anything entered into this dialog to
fail.  XIM in the same dialog works.

Version-Release number of selected component (if applicable):
im-sdk-12.0.1-1.svn1891
openssh-askpass-gnome-3.9p1-1

Comment 1 Akira TAGOH 2004-09-01 03:04:03 UTC
I could reproduce it. we have to disable the debug messages.

Comment 2 Akira TAGOH 2004-09-02 10:51:16 UTC
this problem should be fixed in 12.0.1-3.svn1891. please confirm it.

Comment 3 Lawrence Lim 2004-09-14 01:50:27 UTC
Confirmed fixed. Tested with im-sdk-12.0.1-5.svn1891 and
openssh-askpass-gnome-3.9p1-1.


Thanks.


Note You need to log in before you can comment on or make changes to this bug.